# Genetski algoritam za rješavanje optimizacijskih problema

Ova Python skripta implementira korisničko sučelje koje omogućuje pokretanje genetskih algoritama za rješavanje optimizacijskih problema. Kroz sučelje, korisnici mogu odabrati specifične optimizacijske probleme, pokrenuti genetski algoritam za njihovo rješavanje te pratiti izlaz i rezultate izvođenja.

## Upute za pokretanje

### 1. Instalacija potrebnih biblioteka

Osigurajte da imate instalirane sljedeće Python biblioteke prije pokretanja programa:

pip install ttkthemes
pip install numpy matplotlib pygad networkx


### 2. Pokretanje programa

python gui.py


## Korištenje sučelja

1. **Odabir problema:** Kliknite na određeni gumb u bočnoj traci kako biste odabrali problem koji želite rješavati.

2. **Pokretanje algoritma:** Nakon odabira problema, kliknite na gumb "Pokreni" kako biste započeli izvođenje genetskog algoritma za rješavanje odabranog problema.

3. **Prikaz rezultata:** Nakon završetka izvođenja, prikazat će se izlaz algoritma, uključujući graf koji prikazuje promjene rješenja kroz generacije.

4. **Ulazni podaci:** Ako želite pregledati ulazne podatke za odabrani problem, kliknite na gumb "Ulazni podaci".


